NEWS

iobroker startet nicht mehr


  • Starter

    Systemdata Bitte Ausfüllen
    Hardwaresystem: Pi3
    Arbeitsspeicher: 1GB
    Festplattenart: SD-Karte
    Betriebssystem: Raspbian Buster Lite
    Node-Version: v10.18.1
    Nodejs-Version: v10.18.1
    NPM-Version: 6.13.4
    Installationsart: Manuell
    Image genutzt: Nein
    Ort/Name der Imagedatei: Link

    Hallo liebe Community,

    ich bin seit ein paar Tagen von OpenHab auf ioBroker umgestiegen. Und bei der Installation kam schon folgende Fehlermeldung:

    pi@IOBROKER:/opt/iobroker $ npm install iobroker.js-controller
    npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
    
    > iobroker.js-controller@2.1.1 preinstall /opt/iobroker/node_modules/iobroker.js-controller
    > node lib/preinstallCheck.js
    
    NPM version: 6.13.4
    
    > iobroker.js-controller@2.1.1 install /opt/iobroker/node_modules/iobroker.js-controller
    > node iobroker.js setup first
    
    No objects found!
    npm WARN ajv-keywords@2.1.1 requires a peer of ajv@^5.0.0 but none is installed. You must install peer dependencies yourself.
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@2.1.2 (node_modules/fsevents):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@2.1.2: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"arm"})
    npm WARN optional SKIPPING OPTIONAL DEPENDENCY: osx-temperature-sensor@1.0.4 (node_modules/osx-temperature-sensor):
    npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for osx-temperature-sensor@1.0.4: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"arm"})
    
    npm ERR! code ELIFECYCLE
    npm ERR! errno 101
    npm ERR! iobroker.js-controller@2.1.1 install: `node iobroker.js setup first`
    npm ERR! Exit status 101
    npm ERR! 
    npm ERR! Failed at the iobroker.js-controller@2.1.1 install script.
    npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
    
    npm ERR! A complete log of this run can be found in:
    npm ERR!     /home/iobroker/.npm/_logs/2020-01-22T19_57_47_946Z-debug.log
    

    Ich fuhr mit der Installation von iobroker dennoch fort und es klappte. Ich habe mir ein paar Adapter installiert (Harmony, Milight, Homematic und Visualisierung). Da der Aufruf der Visualisierung über Port 8082 nicht funktionierte, habe ich den Pi3 mit "sudo reboot" neugestartet. Jetzt habe ich das Problem, dass iobroker nicht mehr startet.

    ein "iobroker list" ergibt folgendes:

    pi@IOBROKER:/opt/iobroker $ iobroker list
    internal/modules/cjs/loader.js:638
        throw err;
        ^
    
    Error: Cannot find module '/opt/iobroker/node_modules/iobroker.js-controller/iobroker.js'
        at Function.Module._resolveFilename (internal/modules/cjs/loader.js:636:15)
        at Function.Module._load (internal/modules/cjs/loader.js:562:25)
        at Function.Module.runMain (internal/modules/cjs/loader.js:831:12)
        at startup (internal/bootstrap/node.js:283:19)
        at bootstrapNodeJSCore (internal/bootstrap/node.js:623:3)
    

    Ich bin gerade ziemlich ratlos. Muss ich das ganze von neu installieren?

    War anfangs froh über den Umstieg, da mein OpenHab nicht stabil gelaufen ist. Und wurde schon bei der Installation von iobroker mit einer Fehlermeldung begrüßt (siehe oben).

    Vielen Dank 🙂


  • Forum Testing Most Active

    @URI3L

    Was kommt bei:

    cd /opt/iobroker
    node -v
    nodejs -v
    npm -v

    https://www.iobroker.net/#de/documentation/trouble/RunsNoMore.md


  • Starter

    Hallo,

    nach langem Kampf habe ich jetzt den iobroker nochmal komplett neu aufgesetzt, obwohl node, nodejs und npm auf den jeweils aktuellen Stand war. Jetzt funktioniert es. Leider kann ich nicht sagen, woran es gelegen hat.

    Vielen Dank.



Suggested Topics

1.9k
Online

32.1k
Users

38.8k
Topics

525.9k
Posts